All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::profiling_info_not_available Class Reference

Exception thrown if the OpenCL context does not have CL_QUEUE_PROFILING_ENABLE set, if the execution is not complete, or the event object is a user event object. More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::profiling_info_not_available:

## Detailed Description

Exception thrown if the OpenCL context does not have CL_QUEUE_PROFILING_ENABLE set, if the execution is not complete, or the event object is a user event object.

Definition at line 153 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp